<template lang="pug">

section.contacts
  .container
    .contacts__header
      h1.main-heading Контакты

      el-breadcrumb.mb-20(separator-class='el-icon-arrow-right')
        el-breadcrumb-item(:to="{ path: '/' }") Главная
        el-breadcrumb-item Контакты

      el-tabs(v-model='activeName')

        el-tab-pane(label='Отдел снабжения', name='supply')
          p.contacts__item Телефон:&nbsp;
            a(href="tel:84942669789") (4942) 669-789
          p.contacts__item Электронная почта:&nbsp;
            a(href="mailto:zaosnab44@mail.ru") zaosnab44@mail.ru

        el-tab-pane(label='Отдел реализации', name='implementation')
          p.contacts__item Телефоны:&nbsp;
            a(href="tel:84942669034") (4942) 669-034
            span.contacts__item-separator &nbsp;&nbsp;
            a(href="tel:84942669746") (4942) 669-746
          p.contacts__item Электронная почта:&nbsp;
            a(href="mailto:vkuskolbas44@mail.ru") vkuskolbas44@mail.ru

        el-tab-pane(label='Генеральный директор', name='director')
          p.contacts__item.contacts__name Майоров Николай Петрович
          p.contacts__item Телефоны:&nbsp;
            a(href="tel:84942669032") (4942) 669-032
            span.contacts__item-separator &nbsp;&nbsp;
            a(href="tel:84942669031") (4942) 669-031
          p.contacts__item Электронная почта:&nbsp;
            a(href="mailto:direktor@shuvalovo.biz") direktor@shuvalovo.biz

        el-tab-pane(label='Диспетчер предприятия', name='enterprises')
          p.contacts__item Телефон:&nbsp;
            a(href="tel:84942669-630") (4942) 669-630
        el-tab-pane(label='Секретариат', name='secretariat')
          p.contacts__item Электронная почта:&nbsp;
            a(href="mailto:secret@shuvalovo.biz") secret@shuvalovo.biz

      section.contacts__sale-point
        h2.contacts__sale-point-heading Фирменная торговая сеть
        ul.row.contacts__sale-point-list
          li.col-xl-4.col-md-6.col-sm-6.contacts__sale-point-address(
            v-scroll-to="'#card'"
            v-for="item in markersArray"
            @click="checkItemInCard(item)")
            p {{ item.balloon.body }}

  .contacts__card-wrapper

    yandex-map(
      ref="ymap"
      id='card'
      v-if='mapView'
      :coords='mainCoords'
      :zoom='mainZoom'
      :controls="['zoomControl', 'fullscreenControl']"
      :scroll-zoom='false'
      :style='`width: 100%; height: ${yaMapHeight};`'
      :cluster-options='{1: {clusterDisableClickZoom: true}}'
      map-type='map')
      ymap-marker(
        v-for='marker in markersArray'
        :key='marker.id'
        :marker-id='marker.id'
        marker-type='placemark'
        :coords='marker.coords'
        :hint-content='marker.balloon.header'
        :balloon="marker.balloon"
        :icon="marker.icon"
        cluster-name='1')

</template>

<script>
import { mapMutations } from 'vuex';

import contactsItems from '../../configs/contacts/contacts';

export default {
  name: 'Contacts',
  data() {
    return {
      mapView: false,
      yaMapHeight: null,
      mainZoom: 13,
      activeName: 'supply',
      mainCoords: [57.774862, 40.944405],
      markersArray: contactsItems
    };
  },
  head() {
    return {
      title: 'Контакты | АО «Шувалово»'
    };
  },
  mounted() {
    this.mapView = true;
    this.SET_LOADING(false);
  },
  methods: {
    ...mapMutations(['SET_LOADING']),
    checkItemInCard(item) {
      let balloonContent = `<ymaps class="ymaps-2-1-73-balloon__content">${
        item.balloon.body
      }<ymaps class="ymaps-2-1-73-balloon-content__footer">${
        item.balloon.footer
      }</ymaps></ymaps>`;
      this.$refs['ymap'].myMap.balloon
        .open(item.coords, balloonContent)
        .then(() => {
          this.mainCoords = item.coords;
        });
    }
  }
};
</script>
